Skip to main content
`Ctrl`+`K`

# SNESSetInitialFunction

Set an already computed function evaluation at the initial guess to be reused by `SNESSolve()`.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESSetInitialFunction(SNES snes, Vec f)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- f - vector to store function value

## Notes

This should not be modified during the solution procedure.

This is used extensively in the `SNESFAS` hierarchy and in nonlinear preconditioning.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESSetFunction()`, `SNESComputeFunction()`, `SNESSetInitialFunctionNorm()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages